<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>DP Real Estate</title>

  <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">

  <!-- Select2 -->
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  <script src="plugins/select2/js/select2.full.min.js"></script>

  <!-- SweetAlert2 -->
  <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
  <script src="plugins/sweetalert2/sweetalert2.min.js"></script>

  <!-- Các file css tự định nghĩa thêm -->
  <link rel="stylesheet" href="style.css">
</head>

<body id="page-top">
  <!-- Navigation - Menu bar-->
  <nav class="navbar navbar-expand-lg fixed-top" id="mainNav">
    <div class="container">
        <a  class="navbar-brand" href="index.html"><img class="w-75 border rounded-circle" src="images/logo1.jpg"></a>
      <input type="checkbox" id="check">
      <label for="check">
        <i class="fas fa-bars" id="menu-bar-click"></i>
        <i class="fas fa-times" id="menu-bar-cancel"></i>
      </label>
      <ul class="navbar-nav ml-auto">
        <li class="nav-item pt-1 align-self-center"><a
            class="nav-link text-white font-weight-bold px-4 to-slideshow-example" href="#">HOME</a>
        </li>
        <li class="nav-item pt-1 align-self-center">
          <a class="nav-link text-white font-weight-bold px-4 to-property-content" href="#">DỰ ÁN</a>
        </li>
        <li class="nav-item pt-1 align-self-center">
          <a class="nav-link text-white font-weight-bold px-4 to-new-post" href="#">TIN MỚI NHẤT</a>
        </li>
        <li class="nav-item pt-1 align-self-center"><a class="nav-link text-white font-weight-bold px-4 to-utility"
            href="#">TIỆN ÍCH</a></li>
        <li class="nav-item pt-1 align-self-center"><a class="nav-link text-white font-weight-bold px-4 to-contact-us"
            href="#">LIÊN HỆ</a>
        </li>
        <li class="nav-item pt-1 align-self-center">
          <button class="btn btn-warning px-4" id="btn-new-post"><i class="fa-solid fa-angles-up pr-2"></i>ĐĂNG TIN</button>
        </li>
        <li class="nav-item dropdown pt-1 align-self-center">
          <a class="nav-link px-4" data-toggle="dropdown">
            <span class="fa-stack fa-1x pl-2">
              <i class="fas fa-circle fa-stack-2x icon-background"></i>
              <i class="fa-solid fa-user fa-stack-1x"></i>
            </span>
            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
              <div class="text-center mt-1">
                <button class="btn btn-primary" id="btn-log-in"><i class="fa-solid fa-right-to-bracket"></i> Log
                  in</button>
              </div>
              <div class="text-center mt-1">
                <button class="btn btn-danger" id="btn-log-out"><i class="fa-solid fa-right-from-bracket"></i> Log
                  out</button>
              </div>
            </div>
          </a>
        </li>
      </ul>
    </div>
  </nav>
  <!-- Slideshow body -->
  <div id="slideshow-example" data-component="slideshow" class="header-slideshow">
    <div role="list">
      <div class="slide">
        <img src="images/home2.jpg" width="100%" alt="">
      </div>
      <div class="slide">
        <img src="images/home3.jpg" width="100%" alt="">
      </div>
      <div class="slide">
        <img src="images/home1.jpg" width="100%" alt="">
      </div>
      <div class="slide">
        <img src="images/home4.jpg" width="100%" alt="">
      </div>
      <div class="slide">
        <img src="images/home5.jpg" width="100%" alt="">
      </div>
    </div>
  </div>

  <!--  Search Box -->
  <div class="container-fluid pt-5 pb-5" id="search-box">
    <div class="container">
      <h2 class="text-center mb-5">TÌM KIẾM DỰ ÁN</h2>
      <div class="row form-group">
        <div class="col-sm-6">
          <div class="row form-group">
            <div class="col-sm-4 text-center pt-2">
              <h5>Tỉnh thành</h5>
            </div>
            <div class="col-sm-8 form-group">
              <select id="select-province" class="form-control select2bs4">
                <option value="0" hidden>--Tên tỉnh thành--</option>
              </select>
            </div>
          </div>
        </div>
        <div class="col-sm-6">
          <div class="row form-group">
            <div class="col-sm-4 text-center pt-2">
              <h5>Quận huyện</h5>
            </div>
            <div class="col-sm-8 form-group">
              <select id="select-district" class="form-control select2bs4" disabled>
                <option value="0" hidden>--Tên quận huyện--</option>
              </select>
            </div>
          </div>
        </div>
      </div>
      <div class="text-center form-group">
        <button class="btn btn-info btn-lg px-5 py-2" id="btn-find-project"><i class="fa-solid fa-magnifying-glass mr-2">
          </i>Tìm</button>
      </div>
    </div>
  </div>
  </div>

  <!-- 3. Property content -->
  <div class="container-fluid mb-5 paddding-navbar" id="property-content">
    <div class="container py-5">
      <div class="text-center mb-5">
        <h2 class="title-text-color">Tổng quan dự án</h2>
      </div>
      <div class="row" id="real-estate-project">
      </div>
      <div class="page-container">
        <div id="pagination"></div>
        <input type="number" min="1" id="curpage" value="1" hidden />
      </div>
    </div>
  </div>
  <div class="container-fluid mb-5 paddding-navbar" id="new-post">
    <div class="container py-5">
      <div class="text-center mb-5">
        <h2 class="title-text-color">Những thông tin BĐS mới nhất</h2>
        <div class="text-right">
          <button class="btn btn-info btn-lg px-5 py-2" id="btn-filter-your-post"><i class="fa-solid fa-filter"></i> Lọc
            bài đăng của bạn</button>
        </div>

      </div>
      <div class="row" id="current-real-estate">
      </div>

    </div>
  </div>

  <!-- 3. bery-upside -->
  <div class="container paddding-navbar">
    <h2 class="title-text-color text-center border-top p-3">Những ưu điểm tạo nên DP Real Estate</h2>
    <div class="text-center mt-3 mb-5">

    </div>
    <div class="row mt-3 mb-5">
      <div class="col-sm-6 pr-3 align-self-center">
        <img src="images/about1.png" width="100%">
      </div>
      <div class="col-sm-6">
        <div class="row form-group mt-4">
          <div class="col-sm-2 align-self-center">
            <img src="images/icons/doller.png">
          </div>
          <div class="col-sm-10">
            <h3>DỄ DÀNG SỞ HỮU</h3>
            <p>Có nhiều mức giá phù hợp với lựa chọn của khách hàng. Với mức giá cực kỳ tốt và được đánh giá là
              cực "hời" dành cho các nhà đầu tư.</p>
          </div>
        </div>
        <div class="row form-group mt-5">
          <div class="col-sm-2 align-self-center">
            <img src="images/icons/location.png">
          </div>
          <div class="col-sm-10">
            <h3>DỰ ÁN VÀNG</h3>
            <p>Những dự án nằm tại những vị trí vàng. Nằm cạnh phân khu thấp tầng view không bị che chắn, tạo không
              gian hài hòa với thiên nhiên.</p>
          </div>
        </div>
        <div class="row form-group mt-5">
          <div class="col-sm-2 align-self-center">
            <img src="images/icons/trusted.png">
          </div>
          <div class="col-sm-10">
            <h3>CHẤT LƯỢNG DỰ ÁN</h3>
            <p>Làm việc với những CĐT có uy tín lớn trên quốc gia. Với sự giám sát xây dựng chặt chẽ từ CĐT và cùng
              đội ngũ nhà thầu chính</p>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- 4. Tiện ích -->
  <div class="container paddding-navbar" id="utility">
    <h2 class="title-text-color text-center border-top p-3">NƠI AN CƯ LÝ TƯỞNG</h2>
    <div class="row">
      <div class="col-sm-4">
        <h5 class="mb-4">_ Sở hữu nhiều dự án tọa lạc tại những vị trí trung tâm.</h5>
        <h5 class="mb-4">_ Thừa hưởng toàn bộ hệ thống tiện ích vô cùng đa dạng:</h5>
        <h6 class="mb-4">+ Công viên 30ha</h6>
        <h6 class="mb-4">+ TTTM Vincom Mega Mall</h6>
        <h6 class="mb-4">+ Đại lộ mua sắm giải trí thời thượng</h6>
        <h6 class="mb-4">+ Bệnh viện quốc tế</h6>
        <h6 class="mb-4">+ Hệ thống trường liên cấp quốc tế</h6>
        <h6 class="mb-4">+ Tháp văn phòng cao cấp</h6>
      </div>
      <div class="col-sm-8 align-self-center">
        <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
          <ol class="carousel-indicators">
            <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
          </ol>
          <div class="carousel-inner">
            <div class="carousel-item active">
              <img class="d-block w-100" src="images/utilities/utility1.jpg" alt="First slide" width="100%">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/utilities/utility2.jpg" alt="Second slide" width="100%">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/utilities/utility3.jpg" alt="Third slide" width="100%">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/utilities/utility4.jpg" alt="Forth slide" width="100%">
            </div>
          </div>
          <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
          </a>
          <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
          </a>
        </div>
      </div>
    </div>
  </div>

  <!-- 5. Contact us -->
  <div class="container paddding-navbar" id="contact-us">
    <h2 class="title-text-color text-center border-top p-3">LIÊN HỆ & CHÍNH SÁCH BÁN HÀNG</h2>
    <div class="row">
      <div class="col-sm-4">
        <div class="form-group">
          <h4 class="mb-4">Chính sách bán hàng:</h4>
          <h5>_Chính sách vay ưu đãi 80%:</h5>
          <p>1. Đặt cọc: 100 triệu đồng.</p>
          <p>2. Quý khách chỉ phải thanh toán 15% giá trị căn hộ kí HĐMB (bao gồm phí đặt cọc) trong năm đầu. Sau đó
            nhận nhà ở và sử dụng tất cả các tiện ích tại dự án.</p>
          <p>3. Ngân hàng giải ngân 80% (Ngân hàng cho vay tối đa 30 năm).</p>
          <p>4. Cấp sổ: Thanh toán 5%.</p>
        </div>
        <div class="form-group">
          <h5 class="mb-4">_Quý khách có thể đăng ký (điền dầy đủ thông tin) để nhận tư vấn hoặc liên hệ hotline bên
            dưới.</h5>
          <h4 class="text-danger">HOTLINE: 0938660117</h4>
        </div>
      </div>
      <div class="col-sm-8">
        <div class="jumbotron">
          <h4 class="text-center mb-4">Đăng ký để được tư vấn về phương án giao dịch tốt nhất</h4>
          <div class="row form-group">
            <div class="col-sm-2 mt-2">
              <h5>Họ & tên</h5>
            </div>
            <div class="col-sm-10">
              <input id="input-fullname" type="text" class="form-control" placeholder="Họ & tên">
            </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-2 mt-2">
              <h5>Email</h5>
            </div>
            <div class="col-sm-10">
              <input id="input-email" type="text" class="form-control" placeholder="Email">
            </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-2 mt-2">
              <h5>Phone</h5>
            </div>
            <div class="col-sm-10">
              <input id="input-phone" type="text" class="form-control" placeholder="Số điện thoại">
            </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-2 mt-2">
              <h5>Lời nhắn</h5>
            </div>
            <div class="col-sm-10">
              <textarea id="input-note" type="text" class="form-control" rows="3"
                placeholder="Nội dung lời nhắn"></textarea>
            </div>
          </div>
          <div class="form-group text-right">
            <button class="btn btn-primary" id="btn-advise"><b>ĐĂNG KÝ</b></button>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- 6. footer -->
  <footer class="footer py-4" id="footer-content">
    <div class="container">
      <div class="row align-items-center">
        <div class="col-sm-4">Copyright &copy; Website 2022</div>
        <div class="col-sm-4 my-3">
          <div class="row">
            <h5 class="mt-2 ml-3">Follow us:</h5>
            <a class="mx-2 mt-2 ml-3" href="#"><i class="fab fa-twitter"></i></a>
            <a class="mx-2 mt-2 ml-3" href="#"><i class="fab fa-facebook-f"></i></a>
            <a class="mx-2 mt-2 ml-3" href="#"><i class="text-danger fa-brands fa-youtube"></i></a>
          </div>
        </div>
        <div class="col-sm-4 mt-2 ">
          <h5>Contact Us | Hotline: 0938660117</h5>
        </div>
      </div>
    </div>
  </footer>


</body>

<script>

  var slideshows = document.querySelectorAll('[data-component="slideshow"]');
  slideshows.forEach(initSlideShow);

  function initSlideShow(slideshow) {

    var slides = document.querySelectorAll(`#${slideshow.id} [role="list"] .slide`);

    var index = 0, time = 3500;
    slides[index].classList.add('active');

    setInterval(() => {
      slides[index].classList.remove('active');

      index++;
      if (index === slides.length) index = 0;

      slides[index].classList.add('active');

    }, time);
  };

  $(document).ready(function () {

    //Initialize Select2 Elements
    $('.select2bs4').select2({
      theme: 'bootstrap4'
    });

    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    const token = getCookie("token");

    var gUserId;
    var gTotalPage;
    const pg = document.getElementById("pagination");
    const curPage = document.getElementById("curpage");

    if (token != "") {
      $("#btn-log-in").hide();
    } else {
      $("#btn-log-out").hide();
      $("#btn-filter-your-post").hide();
    }
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    callApiGetTotalPages();

    const valuePage = {
      truncate: true,
      curPage: 1,
      numLinksTwoSide: 1,
      totalPages: gTotalPage
    };

    onPageLoading();

    pg.onclick = (e) => {
      const ele = e.target;
      if (ele.dataset.page) {
        const pageNumber = parseInt(e.target.dataset.page, 10);

        valuePage.curPage = pageNumber;
        curPage.value = pageNumber;
        pagination(valuePage);
        callApiGetProject(pageNumber - 1);
        $('html, body').animate({
          scrollTop: $("#property-content").offset().top
        }, 1000);
      }
    };

    $(".to-slideshow-example").click(function () {
      $('html, body').animate({
        scrollTop: $("#slideshow-example").offset().top
      }, 1000);
    });

    $(".to-property-content").click(function () {
      $('html, body').animate({
        scrollTop: $("#property-content").offset().top
      }, 1000);
    });

    $(".to-new-post").click(function () {
      $('html, body').animate({
        scrollTop: $("#new-post").offset().top
      }, 1000);
    });

    $(".to-contact-us").click(function () {
      $('html, body').animate({
        scrollTop: $("#contact-us").offset().top
      }, 1000);
    });

    $(".to-utility").click(function () {
      $('html, body').animate({
        scrollTop: $("#utility").offset().top
      }, 1000);
    });

    //Set sự kiện cho nút login
    $("#btn-log-in").on("click", function () {
      window.location.href = "../AdminFrontEnd/index.html?page=homepage";
    });

    //Set sự kiện cho nút logout
    $("#btn-log-out").on("click", function () {
      redirectToLogin();
    });

    //Set sự kiện cho nút đăng tin
    $("#btn-new-post").on("click", function () {
      if (token != "") {
        window.location.href = "add-realestate.html";
      } else {
        window.location.href = "../AdminFrontEnd/index.html";
      }
    });

    //Set sự kiện cho nút đăng ký
    $("#btn-advise").on("click",function(){
      onBtnAdviseClick();
    })

    // gán xự kiện lấy data cho nút sửa tin
    $("#current-real-estate").on("click", ".btn-update-post", function () {
      if (token != "") {
        onBtnUpdateRealEstateClick(this);
      } else {
        window.location.href = "../AdminFrontEnd/index.html";
      }
    });

    // gán xự kiện lấy data của project
    $("#real-estate-project").on("click", ".project-detail", function () {
      onCardProjectDetailClick(this);
    });

    // gán xự kiện lấy data của project
    $("#real-estate-project").on("click", ".project-detail1", function () {
      onCardProjectDetail1Click(this);
    });

    // gán xự kiện lấy data của realEstate
    $("#current-real-estate").on("click", ".detail-real-estate", function () {
      onDetailRealEstateClick(this);
    });

    // gán xự kiện lấy data của realEstate
    $("#current-real-estate").on("click", ".detail-real-estate1", function () {
      onDetailRealEstate1Click(this);
    });

    // gán sự kiện lọc dữ liệu bài đăng của user
    $("#btn-filter-your-post").on("click", function () {
      callApiGetRealEstateByEmployeeId();
    });

    // gán xự kiện khi ô select thay đổi
    $("#select-province").on("change", function () {
      $("#select-district").html("");
      var bProvinceId = $(this).val();
      callApiGetDistrictByProvinceId(bProvinceId);
    });

    // gán xự kiện  nút tìm kiếm realEstate
    $("#btn-find-project").on("click", function () {
      $("#pagination").hide();
      onBtnFindProjectClick();
      $('html, body').animate({
        scrollTop: $("#property-content").offset().top
      }, 1000);
    });



    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
      "use strict";
      callApiGetProject(0);

      callApiGetAllProvinces();

      callApiGetCurrentListRealEstate();

      callApiGetUserIdByToken();

      pagination(valuePage);
    }

    function onCardProjectDetailClick(paramDetail) {
      "use strict";
      // B1: Thu thập dữ liệu
      var vValueId = $(paramDetail).children('input').val();
      //console.log(vValueId);
      // B2: Kiểm tra dữ liệu (bỏ qua)
      // B3: xử lý hiển thị dữ liệu
      const vPROJECT_DETAILS_URL = "project-details.html"
      var vUrlSiteToOpen = vPROJECT_DETAILS_URL + "?" + "projectId=" + vValueId;
      window.location.href = vUrlSiteToOpen;
    }

    function onCardProjectDetail1Click(paramDetail) {
      "use strict";
      // B1: Thu thập dữ liệu
      var vValueId = $(paramDetail).children('input').val();
      //console.log(vValueId);
      // B2: Kiểm tra dữ liệu (bỏ qua)
      // B3: xử lý hiển thị dữ liệu
      const vPROJECT_DETAILS_URL = "project-details.html"
      var vUrlSiteToOpen = vPROJECT_DETAILS_URL + "?" + "projectId=" + vValueId;
      window.location.href = vUrlSiteToOpen;
    }

    function onDetailRealEstateClick(paramDetail) {
      "use strict";
      // B1: Thu thập dữ liệu
      var vValue = $(paramDetail).children('input').val();
      //console.log(vValue);
      // B2: Kiểm tra dữ liệu (bỏ qua)
      // B3: xử lý hiển thị dữ liệu
      const vPROPERTIES_DETAILS_URL = "properties-details.html"
      var vUrlSiteToOpen = vPROPERTIES_DETAILS_URL + "?" + "realEstateId=" + vValue;
      window.location.href = vUrlSiteToOpen;
    }

    function onDetailRealEstate1Click(paramDetail) {
      "use strict";
      // B1: Thu thập dữ liệu
      var vValue = $(paramDetail).children('input').val();
      //console.log(vValue);
      // B2: Kiểm tra dữ liệu (bỏ qua)
      // B3: xử lý hiển thị dữ liệu
      const vPROPERTIES_DETAILS_URL = "properties-details.html"
      var vUrlSiteToOpen = vPROPERTIES_DETAILS_URL + "?" + "realEstateId=" + vValue;
      window.location.href = vUrlSiteToOpen;
    }

    function onBtnUpdateRealEstateClick(paramDetail) {
      "use strict";
      // B1: Thu thập dữ liệu
      var vValue = $(paramDetail).children('input').val();
      //console.log(vValue);
      // B2: Kiểm tra dữ liệu(bỏ qua)
      // B3: xử lý hiển thị dữ liệu
      callApiGetRealEstateById(vValue);
    }

    function onBtnFindProjectClick() {
      "use strict";
      // B1: Thu thập dữ liệu
      var vProvinceSelected = $("#select-province").val();
      var vDistrictSelected = $("#select-district").val();
      // B2: Kiểm tra dữ liệu (bỏ qua)
      // B3: xử lý hiển thị dữ liệu
      callApiGetProjectByProvinceIdAndDistrictId(vProvinceSelected, vDistrictSelected);

    }

    function onBtnAdviseClick(){
      var vDataUser = {
        hoTen:"",
        email:"",
        phone:"",
        note:"",
      }

      vDataUser.hoTen = $('#input-fullname').val();
      vDataUser.email = $("#input-email").val();
      vDataUser.phone = $("#input-phone").val();
      vDataUser.note = $("#input-note").val();

      var vCheck = validateData(vDataUser);
      if(vCheck){
        callApiPostAdvise(vDataUser);
      }
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

    function validateData(paramData){
      "use strict"
      var emailCheck=/^[a-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$/i;
      if(paramData.hoTen == ""){
        alert("Vui lòng nhập Họ tên!");
        return false;
      }
      if(paramData.email == ""){
        alert("Vui lòng nhập email");
        return false;
      }

      if(!emailCheck.test(paramData.email)){
        alert("Vui lòng nhập đúng định dạng Email");
        return false;
      }

      if(paramData.phone == ""){
        alert("Vui lòng để lại Số điện thoại!")
        return false;
      }
      
      if(paramData.note == ""){
        alert("Vui lòng để lại lới nhắn");
        return false;
      }
      return true;
    }

    function callApiPostAdvise(paramData){
      "use strict"
      $.ajax({
        url: "http://localhost:8080/advises/",
        method: "POST",
        async: "false",
        contentType:"application/json;charset=UTF-8",
        data:JSON.stringify(paramData),
        success: function (paramResponseObj) {
          alert("Bạn đã đăng ký thành công!");
        },
        error: function (paramError) {
          //console.log(paramError);
        }
      });
    }

    function callApiGetProject(paramPageNumber) {
      $.ajax({
        url: "http://localhost:8080/projectsList/page/" + paramPageNumber,
        method: "GET",
        async: "false",
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          getProjectDataLoadToForm(paramResponseObj);
        },
        error: function (paramError) {
          //console.log(paramError);
        }
      });
    }

    // Hàm gọi api tất cả tỉnh thành
    function callApiGetAllProvinces() {
      $.ajax({
        url: "http://localhost:8080/provinces",
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToProvinceSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm xử lý gọi api lấy dữ liệu district bằng province id
    function callApiGetDistrictByProvinceId(paramProvinceId) {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/districts/province/" + paramProvinceId,
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToDistrictSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm xử lý gọi api lấy dữ liệu realestate bằng provinceid và districtid
    function callApiGetProjectByProvinceIdAndDistrictId(paramProvinceId, paramDistrictId) {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/projects/" + paramProvinceId + "/" + paramDistrictId,
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          getProjectDataLoadToForm(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
          alertError("Không tìm thấy dự án BĐS nào.");
        }
      });
    }

    // Hàm xử lý gọi api lấy dữ liệu realestate bằng provinceid và districtid
    function callApiGetCurrentListRealEstate() {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/currentListRealEstates",
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          getRealEstateDataLoadToForm(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    function callApiGetUserIdByToken() {
      $.ajax({
        url: "http://localhost:8080/findUserId/Token",
        type: 'GET',
        dataType: "json",
        contentType: "application/json; charset=utf-8",
        headers: {
          "Authorization": "Token " + token,
        },
        success: function (responseObject) {
          //console.log(responseObject);
          gUserId = responseObject;
        },
        error: function (pAjaxContext) {
          //redirectToLogin();
        }
      });
    };

    // Hàm gọi api lấy dữ liệu realEstate bằng id
    function callApiGetRealEstateByEmployeeId() {
      $.ajax({
        url: "http://localhost:8080/realEstates/limit/employee/" + gUserId,
        method: "GET",
        async: false,
        headers: {
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          getRealEstateDataLoadToForm(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    function callApiGetRealEstateById(paramRealEstateId) {
      $.ajax({
        url: "http://localhost:8080/realEstates/" + paramRealEstateId,
        type: 'GET',
        dataType: "json",
        success: function (responseObject) {
          //console.log(responseObject);
          if (gUserId == responseObject.employee.employeeID) {
            const vUPDATE_REALESTATE_URL = "update-realestate.html"
            var vUrlSiteToOpen = vUPDATE_REALESTATE_URL + "?" + "realEstateId=" + paramRealEstateId;
            window.location.href = vUrlSiteToOpen;
          } else {
            alertError("Không phải Tin/Bài đăng của bạn.");
          }
        },
        error: function (pAjaxContext) {
          console.assert(pAjaxContext);
        }
      });
    };

    // Hàm gọi api lậy tổng số trang dự án
    function callApiGetTotalPages() {
      $.ajax({
        url: "http://localhost:8080/totalPageNumberProjects",
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          gTotalPage = paramResponseObj;
        },
        error: function (paramError) {
          //console.log(paramError);
        }
      });
    };

    // Load dữ liệu vào ô select trên modal create ward
    function loadDataToProvinceSelect(paramResponse) {
      "use strict";
      var vProvinceSelect = $("#select-province");
      for (let i = 0; i < paramResponse.length; i++) {
        var bOption = $("<option/>");
        bOption.prop("value", paramResponse[i].id);
        bOption.prop("text", paramResponse[i].name);
        vProvinceSelect.append(bOption);
      };
    }

    // Load dữ liệu phản hồi vào ô select
    function loadDataToDistrictSelect(paramResDistrictList) {
      "use strict";
      var vDistrictSelectElement = $("#select-district");
      if (paramResDistrictList.length > 0) {
        vDistrictSelectElement.prop("disabled", false);

        for (let i = 0; i < paramResDistrictList.length; i++) {
          var bDistrictOption = $("<option/>");
          bDistrictOption.prop("value", paramResDistrictList[i].id);
          bDistrictOption.prop("text", paramResDistrictList[i].name);
          vDistrictSelectElement.append(bDistrictOption);
        };
      } else {
        vDistrictSelectElement.prop("disabled", true);
      }
    }

    // Hàm lấy danh sách các realestate
    function getProjectDataLoadToForm(paramProjectList) {
      "use strict";
      $("#real-estate-project").html("");
      var vRealEstate = "";
      for (let bI = 0; bI < paramProjectList.length; bI++) {
        vRealEstate += `
        <div class="col-lg-4 card-group">
          <div class="card card-hover mb-4">
            <!-- Card Header-->
            <div class="card-img-top">
              <a class="project-detail" href="#">
                <input type="hidden" value="` + paramProjectList[bI].id + `">
                <img src="` + paramProjectList[bI].photo + `" class="rounded-top card-img-top">
              </a>
            </div>
            <!-- Card Body-->
            <div class="card-body">
              <div class="mt-2">
                <a class="project-detail1" href="#">
                  <input type="hidden" value="` + paramProjectList[bI].id + `">
                  <h4>` + paramProjectList[bI].name + `</h4>
                </a>
                <a class="mt-2 text-dark">Address: ` + paramProjectList[bI].address + `</a><br>
                <label class="mt-2">Tỉnh thành: ` + paramProjectList[bI]._district._province.name + `</label>
              </div>
              <ul class="mt-3 list-inline">
                <li class="list-inline-item border-dark border-right pr-3"><i class="fa-regular fa-square"></i>
                  ` + paramProjectList[bI].acreage + `m2</li>
                <li class="list-inline-item border-dark border-right pr-3 pl-2"><i class="fa-solid fa-city"></i> ` + paramProjectList[bI].numApartment + `</li>
                <li class="list-inline-item pr-3 pl-2"><i class="fa-solid fa-building"></i> ` + paramProjectList[bI].numBlock + `</li>
              </ul>
            </div>
          </div>
        </div>`;
        $("#real-estate-project").html(vRealEstate);
      }
    }

    // Hàm lấy danh sách các realestate
    function getRealEstateDataLoadToForm(paramRealEstate) {
      "use strict";
      $("#current-real-estate").html("");
      var vRealEstate = "";
      for (let bI = 0; bI < paramRealEstate.length; bI++) {
        vRealEstate += `
        <div class="col-lg-4 card-group">
          <div class="card card-hover mb-4">
            <!-- Card Header-->
            <div class="card-img-top">
              <a class="detail-real-estate" href="#">
                <input type="hidden" value="` + paramRealEstate[bI].id + `">
                <img src="` + paramRealEstate[bI].photo + `" class="rounded-top card-img-top">
              </a>
            </div>
            <!-- Card Body-->
            <div class="card-body">
              <div class="mt-2">
                <a class="detail-real-estate1" href="#">
                <input type="hidden" value="` + paramRealEstate[bI].id + `">
                  <h4>` + paramRealEstate[bI].apartCode + `</h4>
                </a>
                <p class="mt-2 text-dark">Địa chỉ: ` + paramRealEstate[bI].address + `</p>
                <p class="mt-2">Tạo bởi: ` + paramRealEstate[bI].employee.firstName + " " + paramRealEstate[bI].employee.lastName + `</p>
                <p class="mt-2">Added: ` + new Date(paramRealEstate[bI].dateCreate).toLocaleString() + `</p>
              </div>
              <ul class="mt-3 list-inline">
                <li class="list-inline-item border-dark border-right pr-3"><i class="fa-regular fa-square"></i>
                  ` + paramRealEstate[bI].acreage + `m2</li>
                <li class="list-inline-item border-dark border-right pr-3 pl-2"><i class="fa-solid fa-bed"></i> ` + paramRealEstate[bI].bedroom + `</li>
                <li class="list-inline-item pr-3 pl-2"><i class="fa-solid fa-bath"></i> ` + paramRealEstate[bI].bath + `</li>
              </ul>
            </div>
            <!-- Card Footer-->
            <div class="card-footer">
              <div class="row">
                <div class="col-sm-8">
                  <h4>Giá: ` + paramRealEstate[bI].price + `USD</h4>
                </div>
                <div class="col-sm-4 text-right">
                  <a class="btn btn-primary btn-update-post" href="#">Sửa tin
                    <input type="hidden" value="` + paramRealEstate[bI].id + `"></a>
                </div>
              </div>
            </div>
          </div>
        </div>`;
        $("#current-real-estate").html(vRealEstate);
      }
    }

    function redirectToLogin() {
      // Trước khi logout cần xóa token đã lưu trong cookie
      setCookie("token", "", 1);
      window.location.href = "index.html";
    }

    //Hàm get Cookie
    function getCookie(cname) {
      var name = cname + "=";
      var decodedCookie = decodeURIComponent(document.cookie);
      var ca = decodedCookie.split(';');
      for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') {
          c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
          return c.substring(name.length, c.length);
        }
      }
      return "";
    }

    //Hàm setCookie đã giới thiệu ở bài trước
    function setCookie(cname, cvalue, exdays) {
      var d = new Date();
      d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
      var expires = "expires=" + d.toUTCString();
      document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    }

    // Hàm alert error
    function alertError(paramTitle) {
      "use strict";
      $(function () {
        var Toast = Swal.mixin({
          toast: false,
          position: 'top',
          showConfirmButton: false,
          timer: 3500
        });
        Toast.fire({
          icon: 'error',
          title: paramTitle,
        })
      });
    }

    function pagination(paramValuePage) {
      const { totalPages, curPage, truncate, numLinksTwoSide: delta } = paramValuePage;

      const range = delta + 4; // use for handle visible number of links left side

      let render = "";
      let renderTwoSide = "";
      let dot = `<li class="pg-item"><a class="pg-link">...</a></li>`;
      let countTruncate = 0; // use for ellipsis - truncate left side or right side

      // use for truncate two side
      const numberTruncateLeft = curPage - delta;
      const numberTruncateRight = curPage + delta;

      let active = "";
      for (let pos = 1; pos <= totalPages; pos++) {
        active = pos === curPage ? "active" : "";

        // truncate
        if (totalPages >= 2 * range - 1 && truncate) {
          if (numberTruncateLeft > 3 && numberTruncateRight < totalPages - 3 + 1) {
            // truncate 2 side
            if (pos >= numberTruncateLeft && pos <= numberTruncateRight) {
              renderTwoSide += renderPage(pos, active);
            }
          } else {
            // truncate left side or right side
            if (
              (curPage < range && pos <= range) ||
              (curPage > totalPages - range && pos >= totalPages - range + 1) ||
              pos === totalPages ||
              pos === 1
            ) {
              render += renderPage(pos, active);
            } else {
              countTruncate++;
              if (countTruncate === 1) render += dot;
            }
          }
        } else {
          // not truncate
          render += renderPage(pos, active);
        }
      }

      if (renderTwoSide) {
        renderTwoSide =
          renderPage(1) + dot + renderTwoSide + dot + renderPage(totalPages);
        pg.innerHTML = renderTwoSide;
      } else {
        pg.innerHTML = render;
      }
    };

    function renderPage(index, active = "") {
      return ` <li class="pg-item ${active}" data-page="${index}">
        <a class="pg-link" href="#">${index}</a>
    </li>`;
    };


  });

</script>

</html>